Bug 736243 - Registering system with non-admin user fails in pulp
Summary: Registering system with non-admin user fails in pulp
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Katello
Classification: Retired
Component: Webservice API
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 06:52 UTC by Ivan Necas
Modified: 2011-12-07 14:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-07 14:47:01 UTC


Attachments (Terms of Use)

Description Ivan Necas 2011-09-07 06:52:00 UTC
Description of problem:
Systme registratin fails in PULP with non-admin user.

Version-Release number of selected component (if applicable):
katello-0.1.76-1
pulp-0.0.223-4.fc15
candlepin-0.4.10-1.fc15

How reproducible:


Steps to Reproduce:
1. Create a user with read org and register system permissions
2. register a system with this user's credentials
  
Actual results:
Response:
<h1>Unknown action</h1>
<p>The action 'unauthenticated' could not be found for FailedAuthenticationController</p>


Pulp log:
pulp.server.auth.authentication:ERROR: authentication: User [devel] specified in certificate was not found in the system


Expected results:
Successfully registered system.

Additional info:

Comment 1 Dmitri Dolguikh 2011-09-12 13:12:20 UTC
This is an issue with how pulp performs oauth authentication. Filed a BZ with pulp project: https://bugzilla.redhat.com/show_bug.cgi?id=737533

Comment 2 Lukas Zapletal 2011-12-07 14:47:01 UTC
Reference closed.


Note You need to log in before you can comment on or make changes to this bug.